## lazarus 1.0.10+dfsg

=== Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2012/06/20]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-openbsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mips-linux mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifeq ($(FULL_TARGET),arm-embedded)
ifeq ($(SUBARCH),)
$(error When compiling for arm-embedded, a sub-architecture (e.g. SUBARCH=armv4t or SUBARCH=armv7m) must be defined)
endif
override FPCOPT+=-Cp$(SUBARCH)
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=lazarus
override PACKAGE_VERSION=$(IDEVERSION)
RCPP?=$(strip $(firstword cpp$(SRCEXEEXT)))
LAZARUS_INSTALL_DIR=$(INSTALL_PREFIX)/share/lazarus
INSTALL_MAN_DIR=$(INSTALL_PREFIX)/share/man
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LAZARUS_INSTALL_DIR=C:\lazarus
endif
ifneq ($(findstring $(OS_TARGET),freebsd),)
LAZARUS_INSTALL_DIR=/usr/local/lazarus
endif
ifneq ($(findstring $(OS_TARGET),win32 win64),)
IDEVERSION=$(shell .\tools\install\get_lazarus_version.bat)
else
IDEVERSION=$(shell ./tools/install/get_lazarus_version.sh)
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-wii)

=== components/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2012/04/09]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-openbsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mips-linux mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifeq ($(FULL_TARGET),arm-embedded)
ifeq ($(SUBARCH),)
$(error When compiling for arm-embedded, a sub-architecture (e.g. SUBARCH=armv4t or SUBARCH=armv7m) must be defined)
endif
override FPCOPT+=-Cp$(SUBARCH)
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
ifeq ($(FULL_TARGET),i386-linux)
override CLEAN_FILES+=$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT)) $(wildcard ./custom/*$(OEXT)) $(wildcard ./custom/*$(PPUEXT)) $(wildcard ./custom/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override CLEAN_FILES+=$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT)) $(wildcard ./custom/*$(OEXT)) $(wildcard ./custom/*$(PPUEXT)) $(wildcard ./custom/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-win32)
override CLEAN_FILES+=$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT)) $(wildcard ./custom/*$(OEXT)) $(wildcard ./custom/*$(PPUEXT)) $(wildcard ./custom/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-os2)
override CLEAN_FILES+=$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT)) $(wildcard ./custom/*$(OEXT)) $(wildcard ./custom/*$(PPUEXT)) $(wildcard ./custom/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override CLEAN_FILES+=$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT)) $(wildcard ./custom/*$(OEXT)) $(wildcard ./custom/*$(PPUEXT)) $(wildcard ./custom/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-beos)
override CLEAN_FILES+=$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT)) $(wildcard ./custom/*$(OEXT)) $(wildcard ./custom/*$(PPUEXT)) $(wildcard ./custom/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-haiku)
override CLEAN_FILES+=$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT)) $(wildcard ./custom/*$(OEXT)) $(wildcard ./custom/*$(PPUEXT)) $(wildcard ./custom/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override CLEAN_FILES+=$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT)) $(wildcard ./custom/*$(OEXT)) $(wildcard ./custom/*$(PPUEXT)) $(wildcard ./custom/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-solaris)
override CLEAN_FILES+=$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT)) $(wildcard ./custom/*$(OEXT)) $(wildcard ./custom/*$(PPUEXT)) $(wildcard ./custom/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-qnx)
override CLEAN_FILES+=$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT)) $(wildcard ./custom/*$(OEXT)) $(wildcard ./custom/*$(PPUEXT)) $(wildcard ./custom/*$(RSTEXT))
endif

=== ide/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2012/08/20]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-netbsd x86_64-solaris x86_64-openbsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=lazaruside
override PACKAGE_VERSION=1.0
RCPP?=$(firstword $(strip $(subst /,$(PATHSEP),$(wildcard $(addsuffix /cpp$(SRCEXEEXT),$(SEARCHPATH))))))
ifndef LCL_PLATFORM
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
export LCL_PLATFORM
ifeq ($(OS_TARGET),darwin)
ifneq ($(LCL_PLATFORM),carbon)
LAZARUS_LIBPATHS=-Fl/usr/X11R6/lib -Fl/sw/lib
endif
endif
LAZARUS_OPT=$(LAZARUS_LIBPATHS)
DEFAULT_IDE_OPTIONS= $(LAZARUS_LIBPATHS) \
  -Fu../packager/units/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/codetools/units/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/lazutils/lib/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../lcl/units/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../lcl/units/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../ideintf/units/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/synedit/units/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/lazcontrols/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../units/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM)
BIG_IDE_OPTIONS=-dBigIDE $(DEFAULT_IDE_OPTIONS) \
  -Fu../components/rtticontrols/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/printers/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/printers/design/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/tdbf/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/turbopower_ipro/units/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/turbopower_ipro/design/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/fpcunit/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/fpcunit/ide/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/projecttemplates/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/sqldb/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/sdf/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/leakview/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/memds/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/tachart/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/todolist/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/jcf2/IdePlugin/lazarus/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/chmhelp/packages/help/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/chmhelp/packages/idehelp/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/instantfpc/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/externhelp/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM)
LAZBUILD_OPT=$(LAZARUS_LIBPATHS)
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LAZARUS_OPT+= -WG
BIG_IDE_OPTIONS+= -WG
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-watcom)

=== ideintf/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2012/08/24]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=ideintf
override PACKAGE_VERSION=1.0
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
endif
export LCL_PLATFORM
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_UNITS+=ideintf.pas
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_UNITS+=ideintf.pas
endif

=== lcl/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2012/04/09]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-openbsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mips-linux mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifeq ($(FULL_TARGET),arm-embedded)
ifeq ($(SUBARCH),)
$(error When compiling for arm-embedded, a sub-architecture (e.g. SUBARCH=armv4t or SUBARCH=armv7m) must be defined)
endif
override FPCOPT+=-Cp$(SUBARCH)
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=lcl
override PACKAGE_VERSION=0.9b
STATEFILE=Makefile.compiled
ifeq ($(findstring $(OS_TARGET),win32 win64 wince),)
NONWIN32=nonwin32
else
STATEFILE=Makefile_win.compiled
endif
ifeq ($(OS_TARGET),wince)
ifndef LCL_ENABLE_CHECKS
LCL_DISABLE_CHECKS=-dDisableChecks
endif
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),x86_64-openbsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_DIRS+=interfaces
endif

=== tools/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2012/04/09]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-openbsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mips-linux mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifeq ($(FULL_TARGET),arm-embedded)
ifeq ($(SUBARCH),)
$(error When compiling for arm-embedded, a sub-architecture (e.g. SUBARCH=armv4t or SUBARCH=armv7m) must be defined)
endif
override FPCOPT+=-Cp$(SUBARCH)
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=lazarus-tools
override PACKAGE_VERSION=1.0
LAZDIR=..
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_PROGRAMS+=lazres svn2revisioninc updatepofiles lrstolfm
endif
ifeq ($(FULL_TARGET),powerpc-embedded)

=== components/codetools/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2012/08/24]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=codetools
override PACKAGE_VERSION=1.0.1
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
endif
export LCL_PLATFORM
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=codetools.pas
endif
ifeq ($(FULL_TARGET),arm-nds)

=== components/instantfpc/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2012/08/24]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=instantfpclaz
override PACKAGE_VERSION=1.0
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
endif
export LCL_PLATFORM
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=instantfpclaz.pas
endif
ifeq ($(FULL_TARGET),arm-darwin)

=== components/lazcontrols/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2012/08/24]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=lazcontrols
override PACKAGE_VERSION=1.0.2
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
endif
export LCL_PLATFORM
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=lazcontrols.pas
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=lazcontrols.pas
endif

=== components/lazsvnpkg/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2012/08/24]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=lazsvnpkg
override PACKAGE_VERSION=0.0.1
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
endif
export LCL_PLATFORM
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=lazsvnpkg.pas
endif
ifeq ($(FULL_TARGET),arm-nds)

=== components/lazutils/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2012/08/24]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=lazutils
override PACKAGE_VERSION=1.0
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
endif
export LCL_PLATFORM
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=lazutils.pas
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_UNITS+=lazutils.pas
endif

=== components/macfiles/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2012/08/24]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
else
TARGETSUFFIX=$(FULL_TARGET)
endif
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifndef FPCFPMAKE
ifdef CROSSCOMPILE
ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPCFPMAKE:=$(shell $(FPCPROG) -PB)
ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
FPCFPMAKE:=$(firstword $(FPCPROG))
endif
else
override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
FPMAKE_SKIP_CONFIG=-n
export FPCFPMAKE
export FPMAKE_SKIP_CONFIG
endif
else
FPMAKE_SKIP_CONFIG=-n
FPCFPMAKE=$(FPC)
endif
endif
override PACKAGE_NAME=macosfiles
override PACKAGE_VERSION=0.0
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
endif
export LCL_PLATFORM
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-nativent)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-iphonesim)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-wii)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),x86_64-solaris)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),arm-gba)

=== debian/changelog ===
lazarus (1.0.10+dfsg-1) unstable; urgency=low

  [ Abou Al Montacir ]
  * New upstream maintenance release offering many fixes improving the IDE and
    the LCL stability level.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.0_fixes_branch#Fixes_for_1.0.10
  * Use compiler configuration file to pass debian custom compiler flags.
  * Recover FTBFS on arm machines fix, dropped unintentionally when upgrading
    to 1.0.8. QT4 based LCL WS could not use QTOPIA. (Closes: Bug#712834)
  * Update copyright notice to highlight that upstream source where repacked.

  [ Paul Gevers ]
  * Update Standard to 3.9.4 (no changes needed)
  * Remove obsolete DM-Upload-Allowed
  * Update lintian overrides
  * Add myself to uploaders
  * Update Vsc-Browser URL to the browse interface

 -- Paul Gevers <elbrus@debian.org>  Sat, 22 Jun 2013 13:31:45 +0200

lazarus (1.0.8+dfsg-1) unstable; urgency=low

  [ Abou Al Montacir ]
  * New upstream major release and multiple maintenace release offering many
    fixes and new features marking a new milestone for the Lazarus development
    and its stability level.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.0_release_notes
      http://wiki.lazarus.freepascal.org/Lazarus_1.0_fixes_branch
  * LCL changes:
    - LCL is now a normal package.
        + Platform independent parts of the LCL are now in the package LCLBase
        + LCL is automatically recompiled when switching the target platform,
          unless pre-compiled binaries for this target are already installed.
        + No impact on existing projects.
        + Linker options needed by LCL are no more added to projects that do
          not use the LCL package.
    - Minor changes in LCL basic classes behaviour
        + TCustomForm.Create raises an exception if a form resource is not
          found.
        + TNotebook and TPage: a new implementation of these classes was added.
        + TDBNavigator: It is now possible to have focusable buttons by setting
          Options = [navFocusableButtons] and TabStop = True, useful for
          accessibility and for devices with neither mouse nor touch screen.
        + Names of TControlBorderSpacing.GetSideSpace and GetSpace were swapped
          and are now consistent. GetSideSpace = Around + GetSpace.
        + TForm.WindowState=wsFullscreen was added
        + TCanvas.TextFitInfo was added to calculate how many characters will
          fit into a specified Width. Useful for word-wrapping calculations.
        + TControl.GetColorResolvingParent and
          TControl.GetRGBColorResolvingParent were added, simplifying the work
          to obtain the final color of the control while resolving clDefault
          and the ParentColor.
        + LCLIntf.GetTextExtentExPoint now has a good default implementation
          which works in any platform not providing a specific implementation.
          However, Widgetset specific implementation is better, when available.
        + TTabControl was reorganized. Now it has the correct class hierarchy
          and inherits from TCustomTabControl as it should.
    - New unit in the LCL:
        + lazdialogs.pas: adds non-native versions of various native dialogs,
          for example TLazOpenDialog, TLazSaveDialog, TLazSelectDirectoryDialog.
          It is used by widgetsets which either do not have a native dialog, or
          do not wish to use it because it is limited. These dialogs can also be
          used by user applications directly.
        + lazdeviceapis.pas: offers an interface to more hardware devices such
          as the accelerometer, GPS, etc. See LazDeviceAPIs
        + lazcanvas.pas: provides a TFPImageCanvas descendent implementing
          drawing in a LCL-compatible way, but 100% in Pascal.
        + lazregions.pas. LazRegions is a wholly Pascal implementation of
          regions for canvas clipping, event clipping, finding in which control
          of a region tree one an event should reach, for drawing polygons, etc.
        + customdrawncontrols.pas, customdrawndrawers.pas,
          customdrawn_common.pas, customdrawn_android.pas and
          customdrawn_winxp.pas: are the Lazarus Custom Drawn Controls -controls
          which imitate the standard LCL ones, but with the difference that they
          are non-native and support skinning.
    - New APIs added to the LCL to improve support of accessibility software
      such as screen readers.
  * IDE changes:
    - Many improvments.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/New_IDE_features_since#v1.0_.282012-08-29.29
      http://wiki.lazarus.freepascal.org/Lazarus_1.0_release_notes#IDE_Changes
  * Debugger / Editor changes:
    - Added pascal sources and breakpoints to the disassembler
    - Added threads dialog.
  * Components changes:
    - TAChart: many fixes and new features
    - CodeTool: support Delphi style generics and new syntax extensions.
    - AggPas: removed to honor free licencing. (Closes: Bug#708695)
  [Bart Martens]
  * New debian/watch file fixing issues with upstream RC release.
  [Abou Al Montacir]
  * Avoid changing files in .pc hidden directory, these are used by quilt for
    internal purpose and could lead to surprises during build.
  [Paul Gevers]
  * Updated get-orig-source target and it compinion script orig-tar.sh so that
    they repack the source file, allowing bug 708695 to be fixed.

 -- Paul Gevers <elbrus@debian.org>  Sat, 08 Jun 2013 14:12:17 +0200

lazarus (0.9.30.4-7) unstable; urgency=low

  [Hiroyuki Yamamoto]
  * Added support for ppc64 architecture. (Closes: Bug#694045)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 11 May 2013 11:37:00 +0200

=== debian/control ===
Source: lazarus
Section: devel
Priority: optional
Maintainer: Carlos Laviola <claviola@debian.org>
Uploaders: Torsten Werner <twerner@debian.org>, Abou Al Montacir <abou.almontacir@sfr.fr>,
 Paul Gevers <elbrus@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 7), quilt, fpc, fpc-source, fp-utils, imagemagick, po-debconf
Vcs-Svn: https://bollin.googlecode.com/svn/lazarus/trunk
Vcs-Browser: http://code.google.com/p/bollin/source/browse/lazarus%2Ftrunk%2Fdebian
Homepage: http://www.lazarus.freepascal.org

Package: lazarus-1.0.10
Architecture: all
Depends: ${misc:Depends}, lazarus-ide-1.0.10 (>= ${source:Version}), lazarus-src-1.0.10 (>= ${source:Version}), lazarus-doc-1.0.10 (>= ${source:Version})
Recommends: fpc, fpc-source
Suggests: fp-utils, fp-docs
Provides: lazarus
Breaks: lazarus (<< 0.9.28.2-13)
Replaces: lazarus (<< 0.9.18.2-13)
Description: IDE for Free Pascal - suite
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This metapackage pulls in all the packages needed to have a typical
 Lazarus installation.

Package: lazarus-src-1.0.10
Architecture: all
Depends: ${misc:Depends}
Suggests: lazarus-ide-1.0.10
Provides: lazarus-src
Breaks: lazarus-src (<< 0.9.28.2-13)
Replaces: lazarus-src (<< 0.9.18.2-13)
Description: IDE for Free Pascal - LCL source code
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the latest version of the source code necessary for
 the IDE code tool to work properly (retrieving declarations and navigating
 in code).

Package: lazarus-ide-1.0.10
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, fp-compiler, lazarus-src-1.0.10, lazarus-ide-gtk-1.0.10 | lazarus-ide-qt-1.0.10
Recommends: fpc, lcl-1.0.10, gdb
Suggests: fp-utils
Provides: lazarus-ide
Breaks: lazarus-ide (<< 0.2.28.2-13)
Replaces: lazarus-ide (<< 0.2.28.2-13)
Description: IDE for Free Pascal - common IDE files
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the common files required to run Lazarus IDE.

Package: lazarus-ide-gtk2-1.0.10
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, lazarus-ide-1.0.10
Recommends: fpc, lcl-1.0.10, gdb
Suggests: fp-utils
Provides: lazarus-ide-gtk-1.0.10, lazarus-ide-gtk2, lazarus-ide
Breaks: lazarus-ide-gtk2 (<< 0.2.28.2-13), lazarus-ide (<< 0.9.28.2-13)
Replaces: lazarus-ide-gtk2 (<< 0.2.28.2-13), lazarus-ide (<< 0.9.28.2-13)
Description: IDE for Free Pascal - GTK+ version
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the GTK+ version of the Lazarus IDE.

Package: lazarus-ide-qt4-1.0.10
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, lazarus-ide-1.0.10, lazarus-ide-gtk-1.0.10
Recommends: fpc, lcl-1.0.10, gdb
Suggests: fp-utils
Provides: lazarus-ide-qt-1.0.10, lazarus-ide-qt4, lazarus-ide
Breaks: lazarus-ide-qt4(<< 0.9.28.2-13), lazarus-ide (<< 0.9.28.2-13)
Replaces: lazarus-ide-qt4 (<< 0.9.28.2-13), lazarus-ide (<< 0.9.28.2-13)
Description: IDE for Free Pascal - Qt version
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This is the placeholder package for the Qt version of the Lazarus IDE,
 which currently just depends on the GTK+ version.

Package: lcl-1.0.10
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, lcl-units-1.0.10, lcl-utils-1.0.10
Recommends: fpc, lazarus-ide-1.0.10
Suggests: gdb
Provides: lcl
Breaks: lazarus-ide (<= 0.9.28.2-2), lcl (<< 0.9.28.2-13)
Replaces: lazarus-ide (<= 0.9.28.2-2), lcl (<< 0.9.28.2-13)
Description: Lazarus Components Library - LCL suite
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This metapackage installs the full LCL and components.

Package: lcl-utils-1.0.10
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, fp-compiler
Recommends: lcl-1.0.10, lazarus-ide-1.0.10
Provides: lcl-utils
Breaks: lcl-utils (<< 0.9.28.2-13), lazarus-ide (<= 0.9.28.2-2)
Replaces: lcl-utils (<< 0.9.28.2-13), lazarus-ide-1.0.10 (<= 0.9.28.2-2)
Description: Lazarus Components Library - command line build tools
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains command line tools to ease building LCL based
 applications.

Package: lcl-units-1.0.10
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${fpc-abi:Depends}, lcl-gtk2-1.0.10 (= ${binary:Version}) | lcl-qt4-1.0.10 (= ${binary:Version})
Recommends: lazarus-ide-1.0.10, fpc
Suggests: gdb
Provides: lcl-units, lcl-${source:Upstream-Version}
Breaks: lcl-units (<< 0.9.28.2), lazarus-ide-1.0.10 (<= 0.9.28.2-2)
Replaces: lcl-units (<< 0.9.28.2), lazarus-ide-1.0.10 (<= 0.9.28.2-2)
Description: Lazarus Components Library - backend independent components
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains common components of the LCL.

Package: lcl-nogui-1.0.10
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${fpc-abi:Depends}, fp-units-rtl, fp-units-base, fp-units-fcl
Recommends: lazarus-ide-1.0.10, fpc
Suggests: gdb
Provides: lcl-nogui
Breaks: lcl-nogui (<< 0.9.28.2), lazarus-ide-1.0.10 (<= 0.9.28.2-2)
Replaces: lcl-nogui (<< 0.9.28.2), lazarus-ide-1.0.10 (<= 0.9.28.2-2)
Description: Lazarus Components Library - no GUI backend
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the part of the LCL for developing non-graphical
 applications and command line tools.

Package: lcl-gtk2-1.0.10
Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Lazarus

DEB_PACKAGE_NAME = lazarus
DEB_DH_BUILDDEB_ARGS := -- -Z bzip2
export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
export LANG:=C

# Documentation type to use chm/html
ifeq (${DEBDOCTYPE},)
DOCTYPE=html
# HTML Converter chmdocs or htmldocs for (default)
CONVERTER=${DOCTYPE}docs
else
DOCTYPE=${DEBDOCTYPE}
CONVERTER=${DOCTYPE}docs
endif
# Define FPC
ifndef FPC
FPC=/usr/bin/fpc
endif
# Set FPCVER
FPCVER=$(shell ${FPC} -iV)

FPCTARGET=$(CPU_TARGET)-linux
# Get version information from changelog file
DEB_VERSION:=$(shell dpkg-parsechangelog | grep '^Version:' | cut -f 2 -d ' ')
DEB_UPSTREAM_VERSION:=$(shell echo $(DEB_VERSION) | cut -f 1 -d -)
DEB_UPSTREAM_MAIN_VERSION:=$(shell echo ${DEB_UPSTREAM_VERSION} | sed -e 's/^\([0-9\.]*\).*/\1/')
DEB_BUILD=$(lastword $(subst -, ,${DEB_VERSION}))
ifndef PACKAGESUFFIX
export PACKAGESUFFIX=-${DEB_UPSTREAM_MAIN_VERSION}
endif
# Get directories
INSTALL_DIR=$(CURDIR)/debian/tmp
BIN_DIR=${INSTALL_DIR}/usr/bin
LIB_DIR=${INSTALL_DIR}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
DOC_DIR=${INSTALL_DIR}/usr/share/doc/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
SRC_DIR=${INSTALL_DIR}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
# Get utils
ifndef MKDIR
MKDIR=mkdir -p
endif
ifndef CP
CP=cp -Rfpl
endif
ifndef MV
MV=mv
endif
RM:=rm -rf
# Get fpcmake from path if none is specified.
ifndef FPCMAKE
FPCMAKE=fpcmake
endif
# Define FPCDIR if it was not set
ifndef FPCDIR
export FPCDIR=/usr/share/fpcsrc/${FPCVER}
# Set default compilation options
DEB_BUILD_FPC_OPT=debian/deb-build-fpc.cfg
DEB_HOST_FPC_OPT=debian/deb-host-fpc.cfg
BUILDOPTS=USESVN2REVISIONINC=0 OPT='@${CURDIR}/${DEB_HOST_FPC_OPT}'
INSTALLOPTS=INSTALL_PREFIX=$(INSTALL_DIR)/usr
endif
ifndef LAZBUILD
export LAZBUILD=${CURDIR}/lazbuild
endif
# Set default compilation options
DEB_HOST_MULTIARCH ?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_MULTIARCH ?=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)

LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS | sed -e 's/-Wl,//g' -e 's/,/ /g')
# Configure patch system
include /usr/share/quilt/quilt.make

#export DH_VERBOSE=1

###################
# Clean
#

clean: patch configure clean-patched unpatch
	${RM} build-arch-stamp install-arch-stamp arrange-arch-stamp configure-stamp
	${RM} build-doc-stamp install-doc-stamp
	${RM} build-indep-stamp install-indep-stamp
	${RM} debian-files-stamp
	${RM} debian/files debian/docs debian/dirs debian/*.files debian/*.docs debian/*.examples debian/*.postinst debian/*.postrm
	# Remove auto-generated version file.
	${RM} ide/version.inc
	# Remove auto-generated make files.
	find * -name Makefile.fpc -execdir 'sh' '-c' '${RM} $$(basename {} .fpc)' ';'
	dh_clean
clean-patched:
	@echo "--- Cleaning"
	dh_testdir
	dh_testroot
	${RM} lazarus startlazarus lazbuild
	${RM} components/aggpas packager/globallinks/aggpas*
	$(MAKE) distclean ${BUILDOPTS}
	$(MAKE) -C docs/html clean
	find -regex '.*\.\(a\|or?\|so\.*\|ppu\)' -delete
	dh_prep

###################
# Debian files
#

debian-files: patch debian-files-stamp
debian-files-stamp:
	@echo "--- Creating/fixing *.install files"
	DEB_SUBST_PACKAGESUFFIX=${PACKAGESUFFIX} \
	debian/fixdeb debian/*.in
	touch debian-files-stamp

###################
# Arch packages
#

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Remove auto-generated make files.
	find * -name Makefile.fpc -execdir 'sh' '-c' '${RM} $$(basename {} .fpc)' ';'
	# Regenrate make files using fpcmake.
	find * -name Makefile.fpc -exec ${FPCMAKE} -Tall -q '{}' ';'
	# Remove auto-generated version file.
	${RM} ide/version.inc
	# Add version.inc:
	echo \'$(DEB_VERSION)\' > ide/version.inc
	touch configure-stamp

build-arch: debian-files configure build-arch-stamp
build-arch-stamp: ${DEB_HOST_FPC_OPT}
	@echo "--- Building"
	dh_testdir
	${MAKE} bigide ${BUILDOPTS}
	${MV} $(CURDIR)/lazarus $(CURDIR)/lazarus-gtk2
	touch build-arch-stamp

install-arch: build-arch install-arch-stamp
install-arch-stamp:
	@echo "--- Installing"
	dh_testdir
	dh_testroot
	dh_installdirs
	# create all necessary directories
	${MKDIR} ${BIN_DIR}
	${MKDIR} ${LIB_DIR}/tools
	# Install the IDE & its accessories
	${CP} -t ${LIB_DIR} \
		$(CURDIR)/lazarus-gtk2 \
		$(CURDIR)/lazbuild \
		$(CURDIR)/startlazarus \
		$(CURDIR)/languages
	${CP} -t ${LIB_DIR}/tools \
		$(CURDIR)/tools/lazres \
		$(CURDIR)/tools/lrstolfm \
		$(CURDIR)/tools/svn2revisioninc \
		$(CURDIR)/tools/updatepofiles
	# Install the library files
	find -name debian -prune -or '(' -name lib -or -name units ')' -print | xargs ${CP} --parents -t ${LIB_DIR}
	# Remove READM.txt files from output directories
	find ${LIB_DIR} '(' -name '*.or' -or -wholename '*/lib/README.txt' ')' -delete
	# Mark package as manually compilable and install them
	for package in `find -name '*.lpk'` ; \
	do \
		${MKDIR} `dirname "${LIB_DIR}/$${package}"` ; \
		sed -e 's@\(\W*\)<CompilerOptions>.*@\1<AutoUpdate Value="Manually"/>\n&@' "$${package}" > "${LIB_DIR}/$${package}" ; \
	done
	# copy icons and menu entries for the GNOME menu
	${MKDIR} $(INSTALL_DIR)/usr/share/pixmaps
	${MKDIR} $(INSTALL_DIR)/usr/share/applications
	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm
	sed -e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' -e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' $(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
	# Install configuration files
	${MKDIR} $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}
	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/environmentoptions.xml
	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/helpoptions.xml
	# Install contributer list
	${MKDIR} ${LIB_DIR}/docs
	${CP} -t ${LIB_DIR}/docs \
		$(CURDIR)/docs/Contributors.txt \
		$(CURDIR)/docs/contributors.utf8 \
		$(CURDIR)/docs/acknowledgements.txt
	# Install lintian override files
	set -x -e ; cd debian/overrides ; for PACKAGE in * ; do \
	  if [ -d ../$${PACKAGE}${PACKAGESUFFIX} ] ; \
	  then \
	  	${MKDIR} ../$${PACKAGE}${PACKAGESUFFIX}/usr/share/lintian/overrides ; \
	    sed -e "s/$${PACKAGE}/&${PACKAGESUFFIX}/g" $${PACKAGE} > ../$${PACKAGE}${PACKAGESUFFIX}/usr/share/lintian/overrides/$${PACKAGE}${PACKAGESUFFIX} ; \
	  fi ; \
	done
ifeq (${DEB_BUILD},0)
	# We are building upstream debs, install override files for build = 0
	set -x -e ; cd debian ; for PACKAGE in `sed -n -e 's/Package: \(.*\)/\1/p' control` ; do \
	  if [ -d $${PACKAGE} ] ; \
	  then \
	    ${MKDIR} $${PACKAGE}/usr/share/lintian/overrides ; \
	    echo "$${PACKAGE}: debian-revision-should-not-be-zero" >> $${PACKAGE}/usr/share/lintian/overrides/$${PACKAGE} ; \
	  fi ; \
	done
endif
	find ${INSTALL_DIR} -empty -delete
	touch install-arch-stamp

arrange-arch: install-arch arrange-arch-stamp install-man
arrange-arch-stamp:
	dh_testdir
	dh_testroot
	dh_install -s --sourcedir=debian/tmp --list-missing
	touch arrange-arch-stamp

build-indep: patch
install-indep:
	touch install-indep-stamp

install-man: install-man-stamp
install-man-stamp:
	# Install man pages
	$(MAKE) -C install/man installman $(INSTALLOPTS)
	for s in ${INSTALL_DIR}/usr/man/man[1-9] ; do cd $${s} && for f in *.[1-9] ; do ${MV} $${f} $${f%%.*}-${DEB_UPSTREAM_MAIN_VERSION}."$${f#*.}" ; done ; done || true
	dh_installman -s
	${RM} ${INSTALL_DIR}/usr/man
	touch install-man-stamp

###################
# Documentation
#

build-doc: patch debian-files build-doc-stamp
build-doc-stamp:
	@echo "--- Building Documentation"
	dh_testdir
	$(MAKE) -C docs/html ${CONVERTER}
	touch build-doc-stamp

install-doc: build-doc install-doc-stamp

=== debian/watch ===
version=3
opts=uversionmangle=s/((\d[\.]?)+)((RC|rc|pre|dev|beta|alpha|b|a)[\-]?\d*)$/$1~$3/;\
s/((\d[\.]?)+(RC|rc|pre|dev|beta|alpha|b|a)?)[\-]?\d*$/$1/,\
dversionmangle=s/\+dfsg// \
http://qa.debian.org/watch/sf.php/lazarus/lazarus-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) \
debian debian/orig-tar.sh
# Bart Martens <bartm@debian.org>  Wed, 06 Mar 2013 05:12:44 +0000
